QGIS Application - Bug report #18872
Symbol Selector Window 'overflows' the screen on small resolutions
2018-04-28 02:37 PM - Bien Carlos Manazares

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.2 Regression?: No
Operating System: Windows 7 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26704
Description

At a resolution of 1280x720, the symbol selector window tends to be larger than the screen when the symbol fill type is set to 'SVG Fill', as
seen in the picture below. It is impossible to scale the window to fit when the categorization type is set to 'single symbol' or 'categorized'.
However, it is possible to scale the window when it overflows if the categorization type is set to 'rule-based'.
https://i.imgur.com/M3nMZFg.png

Related issues:
Duplicated by QGIS Application - Bug report # 20481: Symbol SVG window Closed 2018-11-13

Associated revisions

Revision cd28b459 - 2018-11-05 07:20 PM - Matthias Kuhn

Merge pull request #8391 from karomap/master

Fixes #18872 Fix symbol selector dialog overflows the screen on small resolution

History

#1 - 2018-04-28 09:00 PM - Harrissou Santanna

I think this issue should be fixed by https://github.com/qgis/QGIS/pulls/5976 (switching from a widget to a real resizable dialog); i just need time, some

learning and a working build environment to finish it.

#2 - 2018-05-09 12:01 PM - Harrissou Santanna

The fix has been merged in master. Could be nice if you can give it a try and confirm it works so that it gets backported to 3.0. Thanks

#3 - 2018-05-09 04:49 PM - Bien Carlos Manazares

Harrissou Santanna wrote:

The fix has been merged in master. Could be nice if you can give it a try and confirm it works so that it gets backported to 3.0. Thanks

How do | do that?

#4 - 2018-08-28 04:44 PM - Harrissou Santanna
https://github.com/qgis/QGIS/pulls/5976

- Status changed from Open to Feedback

Sorry to not have replied to you earlier.

Is this issue still available in 3.2?

#5 - 2018-08-29 12:35 AM - Bien Carlos Manazares

Harrissou Santanna wrote:

Sorry to not have replied to you earlier.

Is this issue still available in 3.27

Hello. The issue is still present in 3.2. In fact it seems to have worsened, as resizing the window now results in it disappearing completely and locking me

out of the program, forcing me to force-quit it via task manager.

#6 - 2018-08-29 10:58 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Category changed from Editing to GUI

- Affected QGIS version changed from 3.0.2 to 3.2

#7 - 2018-10-20 06:21 AM - Ryan Dalton

This is still a real issue for users of small screens. I'm running into this problem using QGIS 3.2.3 on Windows 10, 14-inch laptop with a max resolution of

1366x768. This is definitely a regression from 2.8. The workaround of using rule-based was successful.

#8 - 2018-10-26 01:21 PM - Hanif Rifai

Adding QScrollArea as main container or stackedWidget container in ggssymbolselectordialogbase.ui will fix the problem.

I've tested on my custom build.

#9 - 2018-10-27 05:03 PM - Giovanni Manghi

Hanif Rifai wrote:

Adding QScrollArea as main container or stackedWidget container in qgssymbolselectordialogbase.ui will fix the problem.

I've tested on my custom build.

can you propose a pull request?

#10 - 2018-10-29 12:24 AM - Alessandro Sarretta
- File windowSize_ok.gif added
- File windowSize_ko.gif added

| confirm the issue, just tested in QGIS 3.5.0-Master.
I'm not sure this can help but, while the issue happens with the "Symbol selector" window, it doesn't in the "Edit rule" window, accessed through the menu

Properties (see the two short animated gifs attached).

Ale

#11 - 2018-10-31 12:08 PM - Hanif Rifai

Giovanni Manghi wrote:

can you propose a pull request?

. . G

Pull request submitted https://github.com/qgis/QGIS/pull/8391

#12 - 2018-11-05 07:19 PM - Anonymous
- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|cd28b459845868570d720e23da941825f850d003.

#13 - 2018-11-14 03:26 AM - Ryan Dalton

Confirmed was resolved in 3.5.13 on a on Windows 10, 14-inch laptop with a max resolution of 1366x768. Great work!

#14 - 2018-11-14 08:49 AM - Jiirgen Fischer
- Duplicated by Bug report #20481: Symbol SVG window added

Files
windowSize_ko.gif 366 KB 2018-10-28 Alessandro Sarretta
windowSize_ok.gif 779 KB 2018-10-28 Alessandro Sarretta
https://github.com/qgis/QGIS/pull/8391

